Basics

Brennig's is a strong and fast viewer and player for the most common audio, video and image file formats. This section of the help will introduce you to the basics of managing your digital media files with Brennig's. It basically works in three different modes where as every mode has its own specialities and advantages.

(1) Viewing
The most known mode. Quickly display any supported media file located on your harddisk, or acquire an image from the scanner, play a video or some music file. To learn more about this mode, click here.

(2) Browsing
This mode allows you to keep track of all your media files in an Windows Explorer style interface. You can relocate files by moving or copying, you can delete and rename files. This mode has the common Thumbnails display which generates small preview images of all available image and video files found in the directory that is browsed. Further it lets you call many different tools in order to work with many images at once. It too has the handy Playlist feature. If you want to know more about this mode, click here.

(3) Presenting
This mode is also known as full screen mode. It gives you the possibility to show the photographs you took last weekend to your friends in an eye catching way. If you want to know more about this mode, click here.

Associating supported file types with Brennig's:

In order to be able to just doubleclick on a supported file type in Windows Explorer and have it opened with Brennig's you need to associate the file types first. Brennig's does not do this on its own, as it is your decision if you want this to happen or not! To proceed, execute Brennig's and go to Configuration->Settings and choose the Associations tab. Below is a screenshot showing you how the configuration window will look a like.

Associating file types:

Here you can check or uncheck the supported file types that you wish to be opened by Brennig's.

It is important that whenever you change any checkmark's state, that you press the button "Associate checked Filetypes - Unassociate unchecked file types" to let Brennig's update the system and the changes take effect.

Note: Whenever you open this configuration window, Brennig's scans the system to know whether it is already associated with the supported file types and automatically checks/unchecks the appropiate item during initialization.


Basics: Viewing

Brennig's can view and play a wide variety of image, video and audio formats. Therefore, it has a fast and highly advanced viewing back end integrated to ease you concentrating and working with a single media file.

 Hint: Right clicking on the currently loaded media file will open a context menu with common commands!
Hint: If you hold down the Ctrl key on your keyboard, you can drag and drop the currently loaded media file to other drag and drop enabled applications!

(1) Viewing an Image:

The following screen shows you the basic interface that Brennig's will load when viewing an image (photo).

The interface can be divided into several parts:

1) The Toolbar on top:
It gives you access to common functions, like opening files, saving images to common image file formats or common file operations like moving, copying, renaming and deleting. Note that you can configure what toolbar buttons should be shown for your own convenience.

The open button remembers the 20 recently loaded files for quick access. The browse button remembers the 100 most recently browsed directories. To access, click on the appropiate small arrow on the right of each button.

2) The Statusbar on bottom:
This is used as a quick information line, showing you the image attributes, the file size, the file date, the corresponding index of the current file for all files in the working directory and the time it took to load the image in seconds.

The Statusbar:

When viewing an animated/multipage image file, you will also see the currently displayed frame and the total number of frames.

When playing an audio and/or video file, you can see the total time in human readable time format (hours, minutes, seconds) and the current playing position.

2) The 3-XBar Style:
It consists of a vertical scrollbar to the right, a horizontal scrollbar on bottom and a zoombar to the left. You can use the horizontal and vertical scrollbars as an alternate way to scroll an image compared to the scroll tool described in (3) below. The scrollbars too can be used as an orientation help when you work in high zoom modes to ease you locating the viewable part relative to the whole image. The zoombar allows you to zoom in and out in predefined steps, that range from 1% up to 5000% of the original image resolution.

3) The Imagetoolbar to the right:
It automatically appears when loading an image giving you quick access to very common image edit functions: Rotate 90° right, Rotate 90° left, Rotate by 180°, Flip and Mirror. Those commands are equal to the commands that can be found in the Image program menu.

Hint: Brennig's supports lossless JPG transformations, including rotation and mirror commands. With these you can rotate and mirror JPG files from your digital camera without any loss of image quality! Therefore, use the "Lossless JPG Transformation" tool (hotkey: Shift+6)!
Hint: Automatic image rotation is applied when loading a JPG or TIF file that contains an EXIF Orientation tag correctly set!

Additonally it has a View Fileinformation button which is equal to Edit->View Fileinformation.
Hint: The View Fileinformation does show EXIF info which most digital cameras these days store in image files!

Further you can choose among the available Tools: Scroll Tool, Select Tool, Red Marker Tool.
Hint: You can quickly toggle between the tools without loosing data by using the appropiate hotkeys!

The Scroll Tool
(Hotkey: Ctrl+1)

 Use this to easily scroll and/or zoom an image. The scroll tool will automatically show any possible direction for scrolling if possible by changing the mousecursor. If you look on the screenshot to the left you can see that scrolling into the bottom-right direction is possible because the mouse cursor shows this. Now, to actually scroll, you will only need to hold down the left mouse button and scrolling will start. You can adjust the scrolling speed by moving the mouse cursor nearer or further away from the center of the image. This now might sound complicated, but it isn't at all! Just try it and you will see!

Hint: While scrolling is active, use your mouse wheel to zoom into or out of the image!
Hint: Scrolling is possible too by using the cursor keys on your keyboard!
Hint: If scrolling is not possible, holding down the left mouse button and moving the mouse cursor enables you to drag the window to a new position on your desktop!

Of course you can scroll the image using the scrollbars too!

The Select Tool
(Hotkey: Ctrl+2)

 This tools gives you an easy possibility to work with selection. You can use it to cut a portion on an image, paste an image from the clipboard into another image, or crop the selection to create a new image.

Hint: Right click on the selection to see available commands!
Hint: A selection can also be zoomed in using the command Zoom to Selection in the applications View menu!
Hint: You can resize and/or move the selection by moving your mouse cursor to the borders of it.

The selection rectangle alignes itself automatically if you are in a high zoom mode (eg: 3000% zoom) to ease you copying/cutting a real small portion of an image (eg: a 8x8 Pixel sized portion).

The Red Marker Tool
(Hotkey: Ctrl+3)

This tools gives you a handy possibility to quickly mark specified areas with your own artistic skills. Examples could be that you take a screenshot of a program and want to notify your co-workers of a design flaw in the interface of the program, or you got a fax and want to mark important areas of text in the image document the fax file contains.

Hint: You can change the color and width of the marker in the programs configuration.

Of course, once you used the red marker, the UnDo (Ctrl+Z) command becomes available in case you changed your mind!

Another speciality of the Imagetoolbar is the Color Channel option. It allows you to set the color channels you want to view. Further it gives you several options for displaying any available alpha channel in 3 modes. The following small screenshots will show you every option using the same 32bit sample image in PNG format:

Hint: Brennig's supports Alpha Channels with every supported format that can contain alpha channels and does not delete the alpha channel when saving to another image file format that supports 32bit depth.

View All RGB Channels:
(the first button on the toolbar)

The image shown at full color resolution the way you normally view images. This is the default option and shows the original image.

View Red Channel:
(the second button on the toolbar)

Only the Red component of the image is shown.

View Green Channel:
(the third button on the toolbar)

Only the Green component of the image is shown.

View Blue Channel:
(the fourth button on the toolbar)

Only the blue component of the image is shown.

View Alpha Channel:
(the fifth button on the toolbar as dropdown button)

It gives you three display options. Here is shown the first:
View Alpha Channel as Image

This mode does only display the alpha channel.

View Alpha Channel:
(the fifth button on the toolbar as dropdown button)

It gives you three display options. Here is shown the second:
View Alpha Channel as Layer

This mode does display the alpha channel on top of the image but uses any full black color (RGB(0,0,0) as transparent color.

View Alpha Channel:
(the fifth button on the toolbar as dropdown button)

It gives you three display options. Here is shown the third:
View Alpha Channel blended into image

This mode does a so called "alpha blend" of the image onto the applications background using pre multiplied per pixel alpha that is stored in the alpha channel of the image. This can be a very eye catching visual experience.

Hint: You can configure Brennig's if it should when loading automatically alpha blend images if it finds an alpha channel in the image file! (This options is enabled by default)

Special Option: View Image as TileMap

This is a very useful viewing option if you want to test a image to be used as background for a website (Menu: View->Image as TileMap). To see what this means, just compare the following screenshots. On left side the option is disabled, on the right side it is enabled. The sample image shown below is only 1 Pixel tall, but when viewed as a tilemap, it fills the whole view area.

Hint: This option does work in Browser and Presentation mode too! Use hotkey Ctrl+T to enable/disable!

Using the Open-With-List

The Open-With-List is a powerful tool to define user specific program where the currently displayed media file can be sent to. For example, you are viewing one of your image files using Brennig's and decide you want to open this image file with your image editing application. If you have added your image editing application to the Open-With-List already, you can simply issue the Open With command from the applications File menu.

Adding a program to the Open-With-List:

Editing the Open-With-List:

(2) Viewing an animated/multipage image file:

Brennig's does support not only image files that contain one still image, but also image files that contain many images in one file or even animated files. Common file formats that are supported are Multipage TIF, Windows ICO, Animated GIF, Multiple Image Network Graphics (MNG), Animated Windows Cursor (ANI).

Brennig's does detect automatically if a file contains more than one image and accordingly shows the Animation Controlbar in its interface. With this Animation Controlbar you can easily navigate through the different pages/frames/images the file may contain. You can start or stop an animation, view the next or previous frame or any specific frame your want and even extract all frames!

The Animation Controlbar:
(from left to right)
Play/Pause - Stop - Trackbar - Previous Frame - Next Frame

Take a look at the following screenshots to get a basic idea of how it is like to view different animated files with Brennig's.:

Multipage TIF | Animated MNG
Multipage ICO | Animated GIF

Once you are viewing any animated/multipage format, you can extract all frames to a specifed directory! To extract Frames, issue the Extract All Frames command from the applications Animation menu.

Hint: Extracting frames does work too for any supported video file format (AVI, MOV, MPG, WMV, ASF)!

The Extract Frames Dialog:

Filename Generation: Type in the basic filename. Brennig's will automatically add a six digit long counting number and the correct extension to the filename.

Output Format: Choose among different file formats to save each single frame in.

Output Directory: Specify a location where to put all extracted frames. Take into account that many frames will take a higher amount of disk space!

Hint: Brennig's does take care of any transparency stored in an indexed image automatically when saving to the following formats: GIF, PNG!

Hint: After the extraction finished you can use the generated image files to create a GIF, MNG or TIF Animation/Multipage! Means for example that you can even convert an MPG Video into a GIF Animation, or a TIF Multipage into an animated MNG!

(3) Saving an image into another image file format:

Brennig's can save to the most common and most important image file formats. To use this ability, load any supported image file format and issue the Save As command from the file menu (hotkey: Ctrl+S). A special extended version of the Windows built in Save As Dialog will appear on the screen, giving you the possibility to set the destination folder, the destination filename and the destination format you want to save your image in.

The Save As Dialog:

In the drop down combo box you can specify the destination format. If the specified destination format has specifc settings (eg: JPG, PNG) then the controls to set those will be shown in the tab control below the drop down combo box as shown in the screenshot to the left.

Note: By default Brennig's remembers the directory you used for saving an image to and automatically opens the Save As Dialog in this directory. That's why the button "switch to current folder" is a handy one, as it gives you the possibility to change the Save As Dialog's display folder to the folder you loaded the image from in case you dont want to use the directory you saved the last time to.

Hint: Brennig's does take care of any transparency stored in an indexed image automatically when saving to the following formats: GIF, PNG!

Hint: To convert any animated GIF into an animated MNG you only need to specify MNG as destination format and Brennig's will do the whole conversion of the Animation for you!

(4) Scanning an image from any TWAIN compatible device:

Brennig's can acquire images from any device that supports the common TWAIN interface. Most scanners, digital cameras and webcams support this interface and can be used without problems. To start the Acquire, issue the Acquire Image command from the applications file menu.

The Acquire Dialog:

A dialog window similar to the one shown to the left will appear and list all TWAIN compatible devices available on your system. Select the device you want to acquire an image from and press the choose button.

Then another but device specific dialog window will appear allowing you to set specific options and/or commands. However those can not be shown here, as the appearence and functionality depends on the device you are acquirering from and is beyond the scope of Brennig's.

(5) Printing an image:

Brennig's can print images with specific settings to give you the possibility to not only have your photographs stored digital. The following screenshot shows you the print dialog giving you several options to specify how Brennig's should print your image. To print an image, issue the Print Image (hotkey: Ctrl+P) command from the applications file menu.

Hint: Brennig's does take care automatically of transparency and alpha channels when printing to white paper!
Hint: Printing Contact Sheets is possible too! Look into the applications Tools menu for the command "Create Contact Sheet"!

The Print Dialog:

A dialog window as he one shown to the left will appear where can enable/disable several options.

Orientation: Use Portrait or Landscape.

Style (4 Styles are available):
Fit Image into Page: Fill the whole page but maintain the aspect ratio of the image (the default style).
Stretch Image into Page: Fill the whole page but dont try to maintain aspect ratio of the image.
Scaled Image size: You can specify the width and height of the image in percentual values. 100% means full width, 50% means the half width and so forth
Specified Image size: Here you can set the specific width and height of the image in centimeters or inch. This is useful when printing covers and similar, as you will want to specify the exact size the image then should have on the paper.

Print all Pages/Frames:
With this option enabled, all pages in a file (eg: Multipage TIF) will be printed in a batch!

Write Header:
Here you can type in any Header and specify the used font, font color and font size.

Write Footer:
Several options that allow you to specify that additional information like the filename, image attributes and the file date should be printed below the image.

(6) Playing a video file:

Brennig's does support all common video file formats including but not limited to the famous DivX and Xvid encoded AVI files through the Windows built in DirectShow API, which is a component of the DirectX API, which in turn is a component of the Windows System. Please make sure that have installed the latest, officially available graphics card and audio card drivers installed on your system!

Hint: For WMV encoded video files please make sure you have the latest codec installed. www.microsoft.com.
Hint: For DivX encoded video files please make sure you have the latest codec installed. www.divx.com.
Hint: For Apple Quicktime (*.mov) video files please make sure you have the latest codec installed. www.apple.com/quicktime.
Hint: For Xvid encoded video files please make sure you have the latest codec installed. www.xvid.org.
Hint: For MJPG encoded video files please make sure you have the latest codec installed. www.mainconcept.de.

As with viewing animated/multipage image files, Brennig's does show an Animation Control bar too when playing a video file, but this time an extended version.

The Video Controlbar:
(from left to right)
Play/Pause - Stop - Trackbar - Previous Frame - Next Frame - Volume - Mute on/off - Codec Info

Playing a video file:

To the left you can see a screenshot of the program playing a video. If you do a right click on the video, a context menu pops up, giving you several options to control the video (Play, Stop, Change Volume, Change Aspect Ratio, ...). The same commands are available in the applications Animation menu.

You can at any time change the video size in three predefined steps:
Alt+1: Show at 50%
Alt+2: Show at 100%
Alt+3: Show at 200%

Hint: Brennig's does automatically enlarge too small video files during load time to be at least 640Pixels wide!

You can at any time change the aspect ratio by hand using these hotkeys:
Alt+4: Original (1:1) from the video file
Alt+5: Television (4:3)
Alt+6: Theatre (16:9)

Hint: Brennig's has an automatic aspect ratio correction. For example, a typical TV capture in 352x288 resolution will look wrong on an 4:3 Screen, so Brennig's does adjust the height of the video to 264 Pixel making it look correct.

 Extracting Frames is possible too! To see how it can be done, please have a look at the Extract All Frames explanation in the Viewing animated image files above.

Hint: Codec Information is shown too for Apple Quicktime Movie files!
Hint: You can can scroll and/or zoom the playing video exactly the same way as you do it with images!
File information for a video file:

On the left below is a screenshot of the file information dialog, showing you the used codec (audio/video) of the video file.

The button "Copy Information to Clipboard" enables you to copy the whole file information to the clipboard and to paste the information then into a text processing application.

Hint: If loading a video file fails, the file information (hotkey: Ctrl+I) does still show the used video/audio codec that should be installed on your system!

(7) Playing an audio file:

Brennig's does support all common audio file formats including but not limited to the famous MP3 file format through the Windows built in DirectShow API, which is a component of the DirectX API, which in turn is a component of the Windows System. Please make sure that you have installed the latest, officially available audio card drivers installed on your system!

Hint: For WMA encoded audio files please make sure you have the latest codec installed. www.microsoft.com.

Playing an audio file: | To the left you can see a screenshot of the program playing an audio file. If you do a right click on the audio interface, a context menu pops up, giving you several options to control the audio stream (Play, Stop, Change Volume). The same commands are available in the applications Animation menu. Brennig's does display special tags (information about the audio file) automatically when found in MP3 files! The available controls let you play/pause or stop the audio stream. The vertical trackbar lets you adjust the volume. Hint: Use the available hotkeys for quicker control of the audio stream!
 | On the left below is a screenshot of the file information dialog, showing you the used audio codec of the audio file. The button "Copy Information to Clipboard" enables you to copy the whole file information to the clipboard and to paste the information then into a text processing application. Hint: If playing an audio file fails, the file information (hotkey: Ctrl+I) does still show the used audio codec that should be installed on your system!

(8) Exposure Control:

Brennig's does support changing the Exposure for High Dynamic Range Image files on the fly! The following formats are supported: HDR, EXR and PFM. To increase or decrease the Exposure of a displayed image, use the hotkeys Alt+CursorUp/Down or issue the command Increase/Decrease Exposure from the Image menu.


Basics: Browsing

Brennig's contains a powerful yet easy to use Browser Mode assisting you in managing your media files at once. Whether you want to copy, move or rename files in a batch, want to resize and flip many image files at once or want to create presentations of your photos stored on CD-ROM - it does not matter - you can do it all in the Browser Mode.

To enter or exit the Browser Mode just hit the Enter key on your keyboard, or press the "Browse" button on the applications toolbar.
Hint: Double click on the applications window with your mouse to switch between Browser and Viewer Mode!

Hint: Full Drag and Drop support is given to easily copy or move many files and/or directories at once!

The basic interface of the Browser Mode is shown in the Screen below:

 The Thumbnail Style (default):

The Browser Mode consists of three important parts.

On the top left area you can see the Folder View. It tells you what directory you are browsing, and what directories and/or disks are available on your system.

On the bottom left area you can see the Preview Window. It is exactly the same as when starting Brennig's in the Viewing Mode. To read more about this mode, click here.

The right half area is called the Content View. It does list all supported media files available in the directory by creating small previews of your image and video files.

The Summary Style:

This style shows only one image/preview per row, but displays additional information about the file, like for JPG files different EXIF info (Make, Date, Model), for video files the used video and audio codec, its length and bitrate.

Due to its addtional information, it is easier to find a specific file among similar files (eg: images) with this style set.

The Report Style:

Of course the layout of the Browser can be adjusted. In the screenshot to the left the Content View has been configured to use the Report Style.

The Report Style can be optimal for directories that only contain audio files, as it is not practical to create preview images out of audio files.

Or you might prefer the Report View cause of its speed and low memory foot print, as no Preview Images have to be generated.

Hiding the Folder View:

The layout in this sample to the left shows you a practical way in case you are viewing mostly documents, faxes or scanned images in a letter like size (means when image orientation is portrait).

It is done by clicking the Toggle FolderView left/right button on the Content View's Toolbar and then moving the Content's View Splitterwindow to the top.

Working with the Folder View:

The Folder View can be seperated into two parts:

1) The drop down combo box containing a list of the most recently browsed directory. It always shows the currently browsed directory.
2) The tree view below the combo box displaying all available drives and directories on your system. You can drag and drop directories, left click a directory to browse it, or right click one to open the systems default shell context menu.

Hint: You can change the height of the Folder View by dragging and droping the horizontal border that seperates it from the preview window!

Working with the Content View:

The Content View is the most complex but also most important part of the Browser Mode as it gives you much functionality to work with your media files. The main advantage is that you can select multiple items at once, and call many tools from the applications Tools menu to work with these selected items. For example, you can select your latest photos from your digital camera and call the Batch Process tool to resize all image files to a specific size.

Hint: Right click on the Content View to have a context menu pop up showing you important commands!
Hint: You can change the width of the Content View by dragging and droping the vertical border that seperates it from the preview window!

The Content View Toolbar:

(Description of the buttons from left to right)
Back - Switches to the previous browsed directory. (hotkey: mouse back button)
Directory up - Switches to the parent directory. (hotkey: Backspace)
FolderView right/left - Have the Directory View display on the left or the right side.
Select All - Select all items in the Content View. (hotkey: Ctrl+A)
Refresh - Reloads the items of the Content View. (hotkey: F5)
Search - Opens a search window to find a specific item in the Content View. (hotkey: Ctrl+F)
BrowsePath - Specify a path from your system to browse it.
NewDirectory - Type a name for the new directory to be created in the current directory.
SortOrder - Change the sort order (by filename, by filesize, by filedate). Ascending or Descending.
Config - You can quickly configure thumbnails or details style.
BatchTools - Only available when multiple items are selected to quickly call tools like BatchProcess or BatchPrint.
MoveTo - Move selected items to a specified directory. (hotkey: Shift+M)
CopyTo - Copy selected items to a specified directory. (hotkey: Shift+C)
Rename - Rename selected item. If multiple are selected, the BatchRename tool is started. (hotkey: F2)
Delete - Delete selected items. (hotkey: Del.)

The Content View Mode Control:

(Description of the buttons from left to right)
All types - The Content View displays all supported media files.
Image only - The Content View displays only supported image files.
Video only - The Content View displays only supported video files.
Audio only - The Content View displays only supported audio files.
Playlist - The Content View displays the contents of the playlist/slideshow. Read below for more info.
Configure - You can configure the current directory to always use either thumbnails or report view style.

The Content View in Playlist Mode:

Brennig's has full support for play/slideshow lists through its own MFAList (*.mfalist) format. Importing/Exporting of *.m3u lists is supported. MFALists are not limited to certain file types, they can contain all supported media files, be it image, audio or video files. If you open an *.mfalist or *.m3u file, Brennig's automatically opens the Browser Mode and selects the Playlist window in the Content View. You can read more about the MFAList format and Presentations in the Tools Section of this Help when the Create/Burn Slideshow tool is discussed.

Hint: To add files to the playlist window simply select items in the Content View and use the hotkey Shift+A!
Hint: All Tools like BatchProcess, BatchPrint, JPGCleaner and so on work with the files in the Playlist Window automatically when the Playlist Window is shown! Thus you can create MFALists for the files you have to work often with to get rid of having to select the files first before you can process them in a batch!
Hint: You can drag and drop the files in the list onto the Folder View to start a copy or move operation!

The Playlist Window Controls:

(Description of the buttons from left to right)
Add Files - Add files from different directories to the list.
Play/Stop - Start a simple auto advance for the files in the list.
Save to File - Save the list to disk in either MFAList or M3U format. Note that for MFAList the paths in this case will be full paths, for M3U the paths will be relative, so in the latter case, the destination directory must be the root of all files that are part of the list.
Burn CD-ROM - Create/Burn a Presentation with the files from the list. Read more about this in the Tools section of this help.
Move Element(s) up - You can reorder the items in the list. This moves the selected items up.
Move Element(s) down - You can reorder the items in the list. This moves the selected items down.
Remove Element(s) - Removes selected items from the list only (does not delete files from disk).
Remove All - Removes all items from the list only (does not delete files from disk).

The Content View Configuration Mode:

Brennig's has the skill to remember a specific view style for every directory on your system. Whether you want a specify style to be used or not can be configured in the Configuration Window.

The Configuration Window:

The Configuration Window enables you to save a specific style for the current directory that stores if whether the thumbnails, summary or the details style should be used.

If a directory already has a specific style saved, the button "Delete existing Style for this folder" will be enabled in order to delete the exisiting style.

Example: In a directory full of audio files you want to always use the Report style, while by default in other directories the Thumbnails style shall be used. Then you can save a specific style to the directory with audio files.


Basics: Presenting

Brennig's does come with an advanced Presentation Mode also known as full screen mode. It gives you the possibitlity to present your image files in an eye catching way through 23 different transition effects! Further, the Presentation Mode can too be used for watching video files in a TV style manner.

To enter or exit the Presentation Mode just hit the Alt and Enter key simultanously on your keyboard, or press the wheel on your mouse. Alternately you can issue the "Go to Presentation Mode" command from the applications View menu.

When switching to Presentation Mode all other executed applications and the windows taskbar itself become hidden. The background is filled with solid black color and only the current media file is shown (presented). If you move your mouse, the mouse cursor is visible and additional information about the media file is shown. For movies and animations, you will see the Animation Controlbar shown to the bottom of the screen. If you do not move your mouse for at least three seconds all the additonal information and/or controls will be hidden, and only the current media file is shown. If mouse movement occurs again, the controls and/or additional information are shown again and so forth.

Hint: All commands and tools available in the Viewing Mode do work in Presentation Mode too! You can scroll and zoom image and video files, you can use the Select Tool and save to another image format. However, no interface is shown, you have to call most functions/tools using the appropiate hotkeys. But you can right click on the screen to open a context menu that will show you common commands like Save, Print, MoveTo, Rename and so forth.

To show the next or previous media file in the current directory or, if a presentation is playing, the next media file in the current slideshow list, use the hotkeys PageUp/PageDown or your mousewheel.

The Presentation Mode can be exited quickly by hitting the Escape key on your keyboard.

Hint: You can configure Brennig's to always load files in Presentation Mode instead of using the Viewing Mode. To do this, go to the application's setting's Presentation tab and check the options "Always start in Presentation Mode".

Displaying an image in Presentation Mode:

To the left you can see a screenshot of displaying an image file in Presentation Mode.

On the bottom of the screenshot you can see some file information written in green color (Status line). If you do not move the mouse for at least three seconds, these information will be hidden unless you move your mouse again.

Note: You can configure in Settings->Presentation if the Status line should be displayed or not.

Playing a movie in Presentation Mode:

To the left you can see a screenshot of playing the trailer of LOTR:Return of the king in Apple Quicktime format (*.mov).

On the bottom of the screenshot you can see the Animation Controlbar giving you the possiblity to pause or stop the playing movie, adjust the volume or step through the video frame by frame. If you do not move the mouse for at least three seconds, the Animation Controlbar will be hidden unless you move your mouse again.

Note: The Animation Controlbar is exactly the same as used in the Viewing Mode.


Installation/Uninstallation

Brennig's uses as distribution an advanced, multilingual Setup Wizard to ease you installing the software from scratch.

To install the software on your computer:

  • Locate downloaded executable and launch it.
  • Choose your preferred language in the appearing dialog box.
  • Follow the instructions on the screen.
  • The setup program will automatically open the configuration window to let you specify what file types (JPG, PNG, GIF and others) Brennig's should handle/open by default when you double click on them in Windows Explorer.

To remove the software from your computer:

  • Navigate to Brennig's program group in your Windows Start menu and click Uninstall.
  • Follow the instructions on the screen.


Registration

Brennig's is Shareware. You can test this software for a period of 45 days without limitation. After the trial period has ended, you have to either buy this software or cease to use it.

To buy a license for Brennig's, please go to the registration page.

If you have any special question about the registration process, or are unsure in a certain case, feel free to ask the author of the software by sending email to support@brennigs.com.

If you require a greater number of licenses, please contact the author of the software. Different volume license options are available at special pricing discounts! Send email to register@brennigs.com.

What happens after you have bought a license for Brennig's:

  • After your successful registration and payment for the license, you will receive an email containing your personal license key.
  • The license key is a keyfile using the *.mfakey extension. You only need to copy this key file into the directory you installed Brennig's to. (The default installation path is C:\Program Files\Brennig's)
  • Execute the application and you are done! Brennig's will now know that you are a registered user and supporter!
  • Thank you very much for your support!


Supported Formats

The following is a list showing the different file formats Brennig's can display. Entries with an asterisk to the side require additional program modules to be installed. Note that Brennig's can load a wide variety of file formats, but saving is limited to the most common formats.

Image Formats:

Extension | Description | Additional Information/Features supported | Read | Write
ANI | Animated Windows Cursor | All compression types, All color types, Alpha Channel, Transparency | yes | no
BMP | Windows or OS/2 Bitmap | All compression types, All color types, Alpha Channel | yes | yes
CAM | Casio CAM | JPG compressed only | yes | no
CLP | Windows Clipboard | All Bitmap (bmp) subtypes | yes | no
CUR | Windows Cursor | All compression types, All color types, Alpha Channel, Transparency | yes | no
CUT | Dr. Halo | All compression types, All color types | yes | no
CRW | Canon RAW Imagedata | All compression types, All color types | yes | no
DCX | Multipage PCX | All compression types, All color types | yes | yes
DDS | DirectDraw Surface | All compression types, All color types, Alpha Channel, HDR DDS needs DDS AddOn | yes | no
DWG | AutoCAD Drawing | Preview only (BMP or WMF type) | yes | no
EMF | Enhanced Metafile | All compression types, All color types, Transparency | yes | no
EPS | Encapsulated Postscript Preview | Preview only (WMF + TIF type) | yes | no
EXR | Industrial Light&Magic HDR Format | All compression types, All color types, Alpha Channel, Exposure Control | yes | no
FLT | BIAS Fringe Processor | All compression types, All color types | yes | no
FPX* | Kodak Flashpix Image | All compression types, All color types | yes | no
GEM | GEM Raster Image | All compression types, All color types | yes | no
GIF | Graphics Interchange Format | All compression types, All color types, Animation | yes | yes
HDR/PIC | High Dynamic Range Image | All compression types, All color types, Exposure Control | yes | no
HRZ | SlowScan Television | All compression types, All color types | yes | no
ICO | Windows Icon | All compression types, All color types, Alpha Channel, Transparency | yes | no
IFF | Animag IFF | All compression types, All color types | yes | no
IFF | Maya IFF | All compression types, All color types, Alpha Channel | yes | no
JBG* | JBIG BiLevel Image | All compression types, All color types | yes | no
JB2* | JBIG BiLevel version 2 Image | Most compression types, All color types | yes | no
JPEG 2000 | JPEG 2000 | All compression types, All color types | yes | yes
JPG | JPEG Standard | All compression types, All color types | yes | yes
JPP | Tony's JPG Format | All compression types, All color types | yes | no
JNG | JPEG Network Graphics | All compression types, All color types, Alpha Channel, Transparency | yes | no
LVP | LView Pro Image | Preview only (JPG type) | yes | no
MAC | MAC Paint | All compression types, All color types | yes | no
MNG | Multiple-Image Network Graphics | All compression types, All color types, Animation, Alpha Channel, Transparency | yes | yes
MSP | MS Paint | All compression types, All color types | yes | no
PBM | Portable Bitmap | All compression types, All color types | yes | no
PCD | Kodak PhotoCD | All compression types, All color types | yes | no
PCT | Apple Macintosh Picture | All compression types, All color types | yes | no
PCX | ZSoft Paintbrush | All compression types, All color types | yes | yes
PGM | Portable Gray Map | All compression types, All color types | yes | yes
PIC | SoftImage PIC | All compression types, All color types, Alpha Channel | yes | no
PIC | Pictor PC Paint | All compression types, All color types | yes | no
PIC | AniVGA Background | All compression types, All color types | yes | no
PIX | Esm Software Pix File | JPG compression only | yes | no
PIX | Alias | Wavefront Image | All compression types, All color types, Alpha Channel | yes | yes
PFM | Portable Float Map | All compression types, All color types, Exposure Control | yes | no
PNG | Portable Network Graphics | All compression types, All color types, Alpha Channel, Transparency | yes | yes
PPM | Portable Pixel Map | All compression types, All color types | yes | yes
PPP | Punk Productions Picture | All compression types, All color types | yes | yes
PSD | Adobe Photoshop Document | Uncompressed/RLE, All color types, Alpha Channel | yes | no
PSP | Paint Shop Pro Image (Preview) | Preview only (JPG or BMP type) | yes | no
RAS | Sun Raster Image | All compression types, All color types, Alpha Channel | yes | yes
RAW | Raw Image Data | All compression types, All color types | no | yes
RLA/RPF | Wavefront RLA | All compression types, All color types, Alpha Channel | yes | no
SGI | SGI Image File | All compression types, All color types, Alpha Channel | yes | yes
TGA | TrueVision Targa Graphics Adapter | All compression types, All color types, Alpha Channel | yes | yes
TIF | Tagged Image File | All compression types, All color types, Alpha Channel | yes | yes
WBMP | Wireless Bitmap | All compression types, All color types | yes | no
WMF | Windows 3.1 / Aldus Placable Metafile | All compression types, All color types, Transparency | yes | no
XBM | X Bitmap | All compression types, All color types | yes | no
ZBR | Zoner ZBR Preview | Preview only (BMP type) | yes | no

Video Formats:

Extension | Read | Write | Description
3GP | yes | no | Mobile MPEG4
AVI | yes | no | Audio Video Interleaved
ASF | yes | no | Avanced Streaming Format
DIVX | yes | no | DivX MPG4 Video
IVF | yes | no | Intel Video Format
MOV | yes | no | Apple Quicktime Movie
MPG | yes | no | MPEG 1 + 2 Movie
WMV | yes | no | Windows Media Video

Audio Formats:

Extension | Read | Write | Description
AIF | yes | no | Audio Interchange File Format
AU | yes | no | Sun Audio Format
MID | yes | no | Standard MIDI File Format
MP3 | yes | no | MPEG 1 Layer x Audio
OGG* | yes | no | Ogg Vorbis Audio
WAV | yes | no | Windows (Wave) Audio
WMA | yes | no | Windows Media Audio

*- Additional modules must be downloaded from here.


System Requirements

This is what you need to operate Brennig's.

Required:

  • Windows 2000/XP or later
  • CPU 300Mhz
  • 64MB RAM
  • 20MB free harddisk space

This is what you should have to always operate Brennig's fluently under all circumstances.

Recommended:

  • CPU 1Ghz
  • 256MB RAM
  • 100MB free hard disk space
  • 1024x768 or higher display resolution
  • 32Bit display depth
  • DirectX 9.0 (www.microsoft.com/directx)
  • Apple Quicktime 6 or later (www.apple.com/quicktime) in order to play Quicktime video
  • Wheelmouse


Keyboard Shortcuts

Keyboards shortcuts let you speed up calling common tasks or functions once you are familar with Brennig's.

Menuitem | Hotkey
File->Open | Ctrl+O
File->Save as | Ctrl+S
File->Save | Shift+S
File->Reload | Ctrl+R
File->Close | Ctrl+Q
File->Browse | Enter
File->Print | Ctrl+P
File->Exit | Escape
Edit->Undo | Ctrl+Z
Edit->Redo | Ctrl+Y
Edit->Copy | Ctrl+C
Edit->Cut | Ctrl+X
Edit->Paste | Ctrl+V
Edit->Crop | Ctrl+D
Edit->Use Scroll Tool | Ctrl+1
Edit->Use Select Tool | Ctrl+2
Edit->Use Red Marker Tool | Ctrl+3
Edit->Add selected Items to Playlist | Shift+A
Edit->Select All | Ctrl+A
Edit->Refresh | F5
Edit->Search | Ctrl+F
Edit->Copy Item(s) to | Shift+C
Edit->Move Item(s) to | Shift+M
Edit->Rename File | F2
Edit->Delete File | Delete (+SHIFT: delete to trash)
Edit->View Fileinformation | Ctrl+I
View->Always maximize Window | Ctrl+M
View->View Image as Tilemap | Ctrl+T
View->Go to Presentation Mode | Alt+Return
View->Next | PageDown/Space
View->Previous | PageUp
View->First | Home
View->Last | End
View->Zoom 100 | NUMBLOCK *
View->Zoom In | NUMBLOCK +
View->Zoom Out | NUMBLOCK -
View->Fit to Display Area | NUMBLOCK /
Image->Flip | Shift+F
Image->Mirror | Shift+G
Image->Rotate 90°left | Shift+H
Image->Rotate 90°right | Shift+J
Image->Rotate by 180° | Shift+K
Image->Resize | Shift+R
Image->Resize Canvas | Ctrl+Shift+R
Image->Exposure Increase | Alt+CursorUp
Image->Exposure Decrease | Alt+CursorDown
Animation->Play | P
Animation->Stop | S
Animation->Next Frame | Ctrl+CursorRight
Animation->Previous Frame | Ctrl+CursorLeft
Animation->50% | Alt+1
Animation->100% | Alt+2
Animation->200% | Alt+3
Animation->1:1 (Original Size) | Alt+4
Animation->4:3 (Television) | Alt+5
Animation->16:9 (Theatre) | Alt+6
Animation->Volume->Mute | M
Animation->Volume->Increase | Ctrl+CursorUp
Animation->Volume->Decrease | Ctrl+CursorDown
Animation->Playrate->Default | Ctrl+Pos1
Animation->Playrate->Increase | Ctrl+PageUp
Animation->Playrate->Decrease | Ctrl+PageDown
Slideshow->Start/Stop | Ctrl+Space
Tools->Batch Process | Shift+1
Tools->Batch Rename | Shift+2
Tools->Batch Print | Shift+3
Tools->Capture Screen | Shift+4
Tools->Create new Image | Shift+5
Tools->Lossless JPG Transformation | Shift+6
Tools->Lossless JPG Cleaner | Shift+7
Help->Contents | F1
Scroll Image | Cursor Keys
Scroll Image slower | Cursor Keys + SHIFT
View Next/Previous Mediafile | Mousewheel Up/Down
Zoom In/Out | Mousewheel Up/Down + CONTROL
Browser: Directory Up | Backspace
Browser: Previous Directory | Mouse Back Button


Command Line Parameters

Brennig's has support for command line parameters, however these are recommended to be only used by advanced users. Support for relative paths is given. All Parameters are case-sensetive and have to be supplied lower case!

Hint: To call Brennig's with specific command line parameters create an empty text file using the *.bat extension and write the commands to the file. To execute, double click on the file in Windows Explorer.

-t - start in Browser Mode in current directory
-t="Directory" - start in Browser Mode in specified directory
-p - print the specified image without user interaction using the saved print settings
-f - start in Presentation Mode
-m - start with the "Always Maximize Mode" option enabled
-s="Directory" - start a slideshow in the specified Directory
-o - opens the Settingsdialog
-u - uninstall any file associations without user interaction

Examples:

Load an image and print it without GUI:
"bgs.exe" "foo.jpg" -p

Load an image and show it in Presentation Mode:
"bgs.exe" "foo.jpg" -f

Start in Browser Mode with a specified Directory:
"bgs.exe" -t="C:\Foo\Bar"

Start a Slideshow with relative path in Presentation Mode:
"bgs.exe" -f -s="..\IMAGES\NATURE"


Configuration

Brennig's can be configured in many different ways to best fit your needs.

The Settings Dialog can be opened by either clicking on the "Settings" button on the toolbar or by clicking the "Settings..." command from the applications Configuration menu.

In the following table every page of the configuration will be discussed to give you an explanation of all the different options you can change.

General Application Settings:

Always on top: Have the application window always shown on top of all other windows.
Only once instance: When executing Brennig's, and an instance of the application is already running, the running instance will become active instead of creating a new instance.

Show Images/Play Video/Play Audio: Enable/Disable which of the three main file types Brennig's should handle/display/search for.
Show hidden files/folders: If enabled, hidden files and/or folders will be visible.

Disable Recently Opened Files List: If enabled, Brennig's will not remember the recently 20 opened files.
Do not save browsed folders list: If enabled, Brennig's will not remember the most recently browsed folders.

Show graphically enhanced menu: If enabled, the applications menu will be shown in the windows default menu style.

Configuring the Viewer:

Zoom Quality: Setting the Zoom Quality to high drastically increases image quality. However it does consume more cpu time, so you might want to set it to low if scrolling and/or zooming is too slow for you.

Intelligent Window Positioning/Sizing: By default Brennig's resizes the Application Window to fit around the displayed media file and centers the Application Window on the Desktop. If enabled, Brennig's will remember if you move or resize the Application window, and, when loading another media file, will not resize/center the application window anymore.

Directory: If disabled, the Next/Previous buttons will stop to work when the first/last media file in the current directory is reached.

Background Color: Choose the background color for the viewer.

Configuring the Browser:

Do not display subfolders: If enabled, the Content View will not display any subfolders the browsed folder might contain.
Use Start-Up Folder: Specify a folder to always be used when starting the application without parameter into Browser Mode.
Clear list of browsed folders: This button is only enabled if the Browser Mode is currently active. Clicking this button will delete the list of recently browsed directories.
Background Color: Choose a background color for the preview area in Browser Mode.

Fit small images into thumbnail: If enabled, the Content View will enlarge too small images to fit into the thumbnail.
Cache Compression: The Data Cache mechanism is always enabled, but one can choose between no compression or JPG compression for the Thumbnails. JPG does require way less disk space at the loss of some image quality. No compression gives 100% image quality, but can result in very big cache files (when viewing many files) which in turn can cause slow-downs during browsing.

Thumbnail size: Configure the width, height and border of the thumbnail with the help of the instant preview to the right.

Configuring the Applications Toolbar:

Show Tooltips: If enabled, the appropiate Tooltip is shown when the mouse cursor is held over a button.
Snap Cursor to Buttons: If enabled, the mouse cursor will automatically be repositioned if clicking on a button that can change the window size/position. The following buttons are affected by this: Zoom In, Zoom 100, Zoom Out, Previous, Next.
Toolbar Background: Set the default toolbar background or a gradiant.

Textlabels: Configure if the toolbar buttons should contain textlabes, and if, if they should be shown to the right or at the bottom of each toolbar button.

Check the toolbar buttons you want to use: Check a button to have it displayed in the toolbar. Uncheck a button to have it not displayed in the toolbar.

Audio/Video/Image specific settings:

Autoplay Video: If enabled, video files will start to play after loading.
Loop Video continously: If enabled, the playing video file will start again from the beginning if it reached the end.
Mute Audio while playing Video: If enabled, video files will initially supress any existing audio stream.
Enlarge Video to be at least 640Pixels wide: If enabled, any video file which width is smaller than 640 Pixels will be zoomed in until the width reaches 640Pixels.

Alphablend 32Bit Images at load time: When loading a 32bit image file that has a valid alpha channel the image will the alphablened onto the applications background automatically.
Scroll big Images to top-left at load time: If enabled, images greater than the display window will be scrolled to the top-left point instead of showing them centered at load time.
Apply Gamma Correction to Images at load time: If enabled, the specified Gamma Correction will be applied to all image files during load time.

Autoplay Audio: If enabled, audio files will start to play after loading.
When Audio finished, load next media file/Loop Audio continously: Choose an option on what to do, when an audio file finished playing (reached its end).

Viewstyle Configuration:

Select the the way you want your image/video files to be shown when displaying it for the first time. For every Program Mode you can configure this seperately choosing one of the five available view style options. Note: Audio files are not affected by the view style, only image and video files.

Show at 100%: The image/video file will be shown in it's original size.
Fit to Display Area if Greater: The image/video will be shrinked to fit into the Display Area only if it is greater in it's original size.
Fit to Display Area Always: The image/video will always be shrinked/enlarged to best fit into the Display Area.
Fit to Display Area Width: The image/video will be shrinked/enlarged so that the width of the image/video is the same as the width of the Display Area.
Fit to Display Area Height: The image/video will be shrinked/enlarged so that the height of the image/video is the same as the height of the Display Area.

Associating file types:

Here you can check or uncheck the upported file types that you wish to be opened by Brennig's if you double click on them in Windows Explorer.

It is important that whenever you change any checkmark's state, that you press the button "Associate checked Filetypes - Unassociate unchecked file types" to let Brennig's update the System and the changes take effect.

Note: Whenever you open this configuration window, Brennig's scans the system to know whether it is already associated with the supported file types and automatically checks/unchecks the appropiate item during initialization.

Choose an available Skin:

Brennig's has support for basic skinning. A skin contains all small graphics used to display images in the different toolbars and controls the size of each of them.

The combo box on top left does list all available skins that were found in the Application's Skin Directory. After you choose a skin, all different toolbars that are part of the skins will be shown in small previews, as you can see on the screenshot to the left.

Brennig's' default installation installs two different skins called "Win2K" and "WinXP".

Configure the Slideshow/Presentation Mode:

Always start in Presentation Mode: If enabled, Brennig's will skip the Viewer Mode in favour of the Presentation Mode when loading a media file.
Enable switching between Applications: If enabled, the Presentation Mode is not exclusive and enables one to switch to other applications during a presentation.

Use Transition Effects: If enabled, Brennig's will use transition effects when displaying image/video files in Presentation Mode.
All supported Effects: Brennig's will randomly select one of the 23 different Transition Effects.
All but BlendOver Effect: The BlendOver effect is very cpu intensive. If it is too slow on your computer, use this option to let Brennig's choose among the other 22 different Transition Effects.
Only the BlendOver Effect: Brennig's will only use the BlendOver Transition Effect.

Show Status line... : Choose if the Status line should be displayed. And if displayed, how it should disappear.

Slideshow Delay: Set the time to wait in milliseconds before displaying the next media file when playing a slideshow.
Slideshow Wrap Around: If enabled, the slideshow will not stop when reaching the first/last media file in the list.
Slideshow Direction: Decide how the next media file in a Slideshow shall be retrieved.

Configure the Mouse Tools:

Select Tool:
Invert whole selection rectangle: If enabled, the whole image area which is marked by the selection will be inverted.

Red Marker Tool:
Width: Set the width of the pen.
Color: Choose the color of the pen.


Menu

The following will give a short explanation of Brennig's's menu.

The File Menu:
 Open Media: Open a media file.
Open with: This is a powerful tool to configure other programs that will open files currently loaded into Brennig's. For example, you can configure your favourite image editing application and use Brennig's as quick viewer, but whenever you want to open a file for editing, you can use the "Open with" command.
Reload Media: Reload the current media file.
Close Media: Close the current media file.
Browse: Enter/Exit Browser Mode.
Quick save current Image: Save changes to the current image file.
Save Image as: Save As Dialog will appear to save the current image.
Print Image: Print the current image.
Acquire Image: Acquire an image from a scanner, camera, tv capture etc...
Select Source for Acquire: Select scanner, camera etc for acquire.
Exit: Exit Brennig's.
The Edit Menu:
 Undo: Revert image to its state before an effect/change had been made.
Redo: "Undo" the previous Undo. Use Undo/Redo to quickly toggle between an image with and without effect.
Copy: Copy image to the clipbard.
Paste: Paste an image from the clipboard.
Cut: Cut a selection from the image (and copy selection to the Clipboard).
Crop: Cut the selection from the image and paste the selection as new image.
Use Scroll Tool: Switch to the Scroll Tool.
Use Select Tool: Switch to the Select Tool.
Use Red Marker Tool: Switch to the Red Marker Tool.

Available in Browser Mode only:
Add selected Item(s) to Playlist: As the description says.
Select All: Selects all items in the Content View.
Refresh: Reloads the Browser/Content View.
Search: Search the Content View for files.

Move Item(s) to: Move current media file(s) to a specified directory.
Copy Item(s) to: Copy current media file(s) to a specified directory.
Rename Item(s): Rename current media file(s).
Delete Item(s): Delete current media file(s).

View File Information: Displays file information about the current media file.
The View Menu:

Always maximize Viewer Window: If enabled, the applications window will initially be maximized in Viewer Mode.
Show Image as Tilemap: If enabled, the current image file will be displayed in a raster.
Go to Presentation Mode: Switches to Presentation Mode.
Use saved Windowposition/size: If enabled, the saved window size and position will be used instead of computing/centering the windowsize/position.
Save current Windowposition/size: Saves the current window size and position to be used when the option Use saved Windowposition/size is enabled.
Previous Media: Display the previous media file in the current directory.
Next Media: Display the next media file in the current directory.
First Media: Display the first media file in the current directory.
Last Media: Display the last media file in the current directory.
Zoom In: Zoom into the current image.
Zoom Out: Zoom out of the current image.
Zoom 100%: Show the current image with 100% (original size).
Zoom to Selection: Make only the current selection visible.
Fit to Display Area: Fit the current image/video into the display area.
Fit to Display Area Width: Make the currents image/video width the same as the width of the display area.
Fit to Display Area Height: Make the currents image/video height the same as the height of the display area.

The Image Menu:

This menu contains various commands you can apply to the current image. All menu items should be self explanatory, as each menu item name says exactly what will be done.

Whenever you issue a command, it can be undone by calling the Undo function which can be found in the Edit menu.

Exposure Increase/Decrease: Change in real time the Exposure for the following HDR Formats: EXR, HDR, PFM!

Set Image as Wallpaper: This will only set the wallpaper for the current user. So every user on the same system can set a different wallpaper.
The Animation Menu:
 This menu contains various commands to control the current animation/video/audio file. All menu items should be self explanatory, as each menu item name says exactly what will be done.

All command are explained in the Basics:Viewing section.

The Extract All Frames command is explained in the Basics:Viewing section.
The Slideshow Menu:
 This menu contains various commands to quickly configure a slideshow and to start or stop a slideshow. All menu items should be self explanatory, as each menu item name says exactly what will be done.

You can find an explanation of all Slideshow options in the Technical:Configuration section.
The Tools Menu:
 This menu allows you choose among the powerful tools Brennig's does offer.

An explanation of each tool can be found in the Tools section of this help.
The Configuration Menu:

Show Toolbar: Enable/Disable the display of the toolbar.
Show Statusbar: Enable/Disable the display of the statusbar.
Show ImageToolbar: Enable/Disable the display of the ImageToolbar.
Show Scrollbars: Enable/Disable the display of the Scroll/Zoombar.

Browserstyle: Quick configuration of the Browserstyle. Only available if in Browser Mode.
Sort files: Configure the sort order (by filename, by filesize, by filedate).

Database Maintenance: Lists what directories are stored in the Browser Database. Use it to empty the Database, or to remove invalid but cached directories.

Choose Language: Set one among the available languages Brennig's should use.

Settings: Open the applications configuration. To read more about this, go to Configuration.
The Help Menu:

Contents: Opens this help file.
License Agreement: Displays the license agreement.

Visit Brennig's Homepage: Opens www.brennigs.com
Download Addons: Opens the Addons page at www.brennigs.com
Check for new Version: Opens www.brennigs.com and checks if a new version of Brennig's has been released.

About this program: Displays the About Window. It contains the exact version number of the application, and shows if Brennig's has been registered or is an evaluation version.


Tools: BatchProcess

Brennig's has an advanced tool for processing image files in a batch. It can be used to apply a specific image editing command to many files or to convert image files from one file format to another.

The BatchProcess tool can be found in the applications Tools menu (hotkey: Shift+1).

Hint: When working in Browser Mode: Select items in the Content View or the Playlist Window before you open the BatchProcess tool to have it work on the selected items!

General Options:
Output Directory: Specify the location where to put the processed files.
Delete source files after conversion: Will delete the original image file after processing finished from disk. Use with care!
Maintain original file date/time: If disabled, the processed files will receive the current date/time.
Select Files: Add/Remove/Reorder files to/from/in the list of files that should be processed.
Output Format: Select the destination format the processed files will be saved in.

Processing options:
Change Color Depth: Change the color depth of the processed image file to the specified one.
Change RGB Order: Change the color components order of the processed image file to the specified one.
Change Image Size: Change the image size to a specified size. The size can the specified in different units (cm, inch, pixels, percent).
Use the option Maintain Aspect Ratio to only have to specify the width as the height will be computed maintaining the aspect ratio of the original image. The size filter can be used to work only on image files that have a greater size/resoltion or smaller size/resolution than the specified one.

Apply Gamma Correction: Adds gamma correction using the specified value.
Apply Brightness Correction: Adds brightness correction using the specified value.
Apply Contrast Correction: Adds contrast correction using the specified value.

Effect Blur: Blurs the image file with the specified value.
Effect Sharpen: Sharpens the image file with the specified value.
Effect Border: Applies the Border Effect to the image.

Rotate left 90°: Rotates the image by 90 degree to the left.
Rotate right 90°: Rotates the image by 90 degree to the right.
Rotate by 180°: Rotates the image by 180°.

Mirror: Mirrors the image horizontally.
Flip: Flips the image vertically.
Grayscale: Converts the image to grayscale.
Invert: Inverts the colors of the image.

Apply Image as Watermark: Alphablends the specified 32bit image using per pixel alpha in the lower right corner of the input image file using the specified value as transparency threshold. For example, you can use this to add your companys logo to all of your screenshots.


Tools: BatchRename

Brennig's offers the possibility to rename many files at once using a filter for filename generation.

The BatchRename tool can be found in the applications Tools menu (hotkey: Shift+2).

Hint: When working in Browser Mode: Select items in the Content View or the Playlist Window before you open the BatchRename tool to have it work on the selected items!

General Options:
Select Files: Add/Remove files to/from the list of files that should be processed.

Processing options:
Filter: Type text that will be used as filename base. Use * to insert the original filename. Use one or more # to insert the index and the number of digits to use. Use $T to add the filetime and $D to add the filedate of each file.
Start Counter at: The counter will increase by one for every file that has to be renamed. Specify at what number the counter should start counting.

Clean Filename:
Offers different options to clean and/or modify the filenames.


Tools: BatchPrint

Brennig's offers the possibility to print many image files at once using the same printing options for all images.

The BatchPrint tool can be found in the applications Tools menu (hotkey: Shift+3).

Hint: When working in Browser Mode: Select items in the Content View or the Playlist Window before you open the BatchPrint tool to have it work on the selected items!

General Options:
Frames: Add/Remove files to/from the list of files that should be printed.

When clicking the print button in the top right corner, Brennig's will load each image file in the list and print it. Further, upon loading the first image file in the list, the Print Dialog Window will pop up, giving you the possibility to set the printing options that will be used for all other images.


Tools: Capture Screen

Brennig's can too be used to capture the content of your screen or a specified window.

The Capture Screen tool can be found in the applications Tools menu (hotkey: Shift+4).

Hint: After you have captured a window/screen content, use the Select Tool (Ctrl+2) to cut the part of the screen you want!

Capture current Screen:
This will take a snapshot of your whole desktop. The option Hide Application Window will hide the application window of Brennig's if enabled in order to not be part of the snapshot.

Capture to file using Hotkey Shift+F11: If enabled, after clicking the Ok button the application will minimize and to capture the screen you have to press Shift+F11 (which is then a global hotkey) to save the content of the screen in the specified format into the specified directory.

Capture specified Window:
Select one of the available items in the list. Each item identifies the window of an application. Click Ok to capture the specified window.


Tools: Create new Image

Brennig's can be used to create an empty Image with a specified size and background color.

The Create new Image tool can be found in the applications Tools menu (hotkey: Shift+5).

Hint: After you have created a new image, you can paste other images from the clipboard into a selection! The Clipboard command can be found in the applications Edit menu.

New Width : The width of the image in Pixels.
New Height: The height of the image in Pixels.
Colordepth: The colordepth of the image.
Choose Color: The color with which the image will be filled initially.


Tools: Lossless JPG Transformation

Brennig's contains a special tool for applying lossless image transformations for files that use the JPG file format.

The Lossless JPG Transformation tool can be found in the applications Tools menu (hotkey: Shift+6).

This tool is only available when the current media file is of JPG file format (*.jpg). It allows you to apply commands like rotate or mirror to your photographs stored on disk without any loss of image quality (also known as Lossless JPG Rotation).

Note: Any JPG transformation like rotate will be applied to the image file immediately. There is no need to save changes as it is a lossless transformation thus not creating any loss of image quality.

Mirror: Mirrors the image horizontally.
Flip: Flips the image vertically.
Rotate 90° left: Rotates the image by 90° to the left.
Rotate 90° right: Rotates the image by 90° to the right.
Rotate by 180°: Rotates the image by 180°.
Transpose: Transpose the image around the X Axis.
Transverse: Transverse transpose the image around the X Axis.


Tools: Lossless JPGCleaner

Brennig's has an advanced tool to clean and optimize image files stored in JPG Format (*.jpg) without any loss of image quality.

The Lossless JPG Cleaner tool can be found in the applications Tools menu (hotkey: Shift+7).

Note: The JPG Cleaner does work on JPG files (*.jpg) without modifiying the image quality!

Hint: When working in Browser Mode: Select items in the Content View or the Playlist Window before you open the Lossless JPG Cleaner tool to have it work on the selected items!

General Options:
Select Files: Add/Remove files to/from the list of files that should be processed.

Processing options:
Optimize Encoding: This will decrease the image file size by a small amount (typically 5-10% of the original file size).
Remove all APP-Markers: This will remove ANY additional information (eg: EXIF incl. Thumbnails) stored in the JPG file except the image.
Drop non-transformable edge blocks: This will remove hidden image data that can neither be processed nor is visible.
Change to Progressive Decoding: If enabled, the JPG file will become progressively encoded. If disabled, the JPG file will become baseline encoded. Note: When enabled, all other processing options will be disabled, as changing the progressive decoding state is an exclusive operation.


Tools: Create GIF/MNG/TIF/DCX Animation/Multipage

Brennig's offers the possibility to create an animation in GIF/MNG format, or to create a multipage TIF/DCX file.

The Create GIF/MNG/TIF/DCX Animation/Multipage tool can be found in the applications Tools menu.

Note: The basic Create Animation Dialog is the same whether you want to create a GIF Animation, a MNG Animation or a Multipage TIF file.

Hint: When working in Browser Mode: Select items in the Content View or the Playlist Window before you open the Create GIF/MNG/TIF Animation/Multipage tool to have it work on the selected items!

Hint: When creating a GIF/MNG Animation, Brennig's takes care about any transparency stored in the source image files that will be used as frames for the following formats: PNG, GIF, ICO, CUR!

General Options:
Output filename: Type text that will be used as filename. Brennig's will initially add a sample filename: Multipage.tif when creating a TIF Multipage, Multipage.dcx when creating a DCX Multipage, Animation.gif when creating a GIF Animation and Animation.mng when creating a MNG Animation.
Output Directory: Specify the location where the final GIF/MNG/TIF/DCX Animation/Multipage file should be stored.
Select Files: Add/Remove/Reorder files to/from/in the list of files that should be processed.

Processing options:
GIF/MNG Delay: This option is only active when creating a GIF or MNG Animation. Set the time to wait in milliseconds before displaying the next frame.
TIF Compression: This option is only active when creating a TIF Multipage. Set what compression type to use when adding the source image files to the TIF Multipage file.


Tools: Create/Burn a Presentation/Slideshow

Brennig's does come with an advanced tool to create Presentations/Slideshows that even can be burned to CD-ROM!

The Create/Burn a Slideshow tool can be found in the applications Tools menu.

With this tool you can create simple Playlists, burn CD-ROMs full of music files or make self running Presentations that will execute and start to play on any Windows 2000/XP or later system upon inserting the created CD-ROM into the CD-ROM-Drive. Further, you can use this tool too to make backup copies of your photographs stored on disk. There are many different possibilities to use this tool for!

Hint: When working in Browser Mode: Select items in the Content View or the Playlist Window before you open the Create/Burn a Slideshow tool to have it work on the selected items!

General Options:
Output filename: Type text that will be used as filename. All Slideshos information will be stored in Brennig's's own MFAList format (*.mfalist).
Select Files: Add/Remove files to/from the list of files that should be processed.

Output type:
Burn on CD-ROM: (This is only possible on Windows XP. Further, you have to have installed a CD-Burner. Brennig's currently can only use your default CD-Burner (if you have more than one installed)). If enabled, Brennig's will create a CD-ROM containing all selected files, adds an autorun.inf file to enable the automatic startup of the presentation and additionally copies the Brennig's executable (mfa.exe) which is required for playing the presentation.
Copy to Directory: Use this if you don't want to create a CD-ROM or are running Windows 2000 but have a CD-Burner installed. All created/copied data/files will be stored in the specified directory. Enable the option Copy files to output directory (relative paths) to make the presentation/slideshow location independent. If the option Create Autorun.inf is enabled, such a file will be created, giving you the possibility to burn all data in the output directory to a CD too, but using your favourite CD-Burning software application (this is also the only way you can create a Presentation CD-ROM on Windows 2000 as Brennig's is only able to burn on Windows XP or later).

Processing options:
Delay: Specifies the time to wait in milliseconds until the next media file is displayed.
Direction: Specifies how the next media file in the list shall be retrieved.

Start in Presentation Mode: If enabled, the Presentation/Slideshow will start in Presentation Mode and the following options will become active:
Play Slideshow only once: If enabled, the Presentation/Slideshow will not be repeated when reaching its end.
Use Transition Effects: If enabled, the Presentation/Slideshow will use transition effects when displaying an image/video.
Use Background Music: If enabled, you can specify an audio file to be used as background music while while displaying the presentation's media file. Note: The background music file will be repeated if it reaches its end.


Tools: Print a Contact Sheet

Brennig's offers the possibility to print contact sheets, which is done by printing several images on the same paper(s) using predefined settings.

The Print a Contact Sheet tool can be found in the applications Tools menu.

Hint: When working in Browser Mode: Select items in the Content View or the Playlist Window before you open the Print Contact Sheets tool to have it work on the selected items!

Hint: When printing several images at once, you can use the Print Contact Sheet tool to create an index page of the images, and then use the BatchPrint tool to print each of the images on a single paper! It will look good!

General Options:
Print one testpage only: If enabled, only the first page will be printed. This is good to quickly test the printed output but at the same time to avoid unnessecary printer activity.
Orientation: Decide if the output should be in portrait or landscape orientation.
Select Files: Add/Remove files to/from the list of files that should be processed.

Processing options:
Number of Images per Page: Specify the number of images per column and the number of images per row.
Multiplying the number of images per row by the number of images per column will give the total number of images per page.
Space between Images: Specify the amount of space in horizontal and vertical position to be used between each image of the page. The unit used is pixels.

Write Header: If enabled, you can type a header that will be printed on top of all images. Further you can select the font, color and style that will be used for the header.
Write Filename: If enabled, on the bottom of each image its filename will be written using the specified font.
Write Image Attributes: If enabled, on the bottom of each image its image attributes will be written using the specified font.
Write Filendate: If enabled, on the bottom of each image its filesize will be written using the specified font.


Tools: Create a Photo Album

Brennig's can create a Photo Album for the web by generating small preview images and linking them into html files.

The Create Photo Album tool can be found in the applications Tools menu.

Use this tool to give your friends around the world the possibility to view your photos on your personal website.

Hint: When working in Browser Mode: Select items in the Content View or the Playlist Window before you open the Create Photo Album tool to have it work on the selected items!

Hint: Brennig's does take care automatically of transparency and alpha channels when generating preview images for the web!

General Options:
Output filename: Type the filename of the html file that will start the Photo Album (the "startpage").
Output directory: Set the location where all generated files will be placed.
Output format: Choose among the three internet file formats to store the preview images in.
Select Files: Add/Remove/Reorder files to/from/in the list of files that should be processed.

Output type:
Create Album: This will create an index page listing all preview images. Upon clicking on one of the preview images, it will be displayed in the same window but in full size with additonal Prev/Next buttons enabling to go through the images step by step.
Create Listing: This will create an index page listing all preview images. Upon clicking on one of the preview images, it will be displayed in a new window where as the window has the size of the displayed image and hides all unnessecary interface controls. For example, use this type if you want to create a screenshot listing on your website!

Processing options:
Title: Type text that will be displayed as header on every page.
Columns: Specify the number of images to be displayed on every column in the index page.
Start Browser after Creation finished: If enabled, your default Internet Browser will display the Photo Album after creation finished.
Background Color : Specify the background color to be used for all websites.

Write Filename: If enabled, at the bottom of each preview image its filename is written.
Write Image Attributes: If enabled, at the bottom of each preview image its image attributes are written.
Write Filesize: If enabled, at the bottom of each preview image its filesize is written.
Write Filedate: If enabled, at the bottom of each preview image its filedate is written.
Text Color: Specify the text color that will be used on all websites.

Thumbnail size: Specify the size of the thumbnails in pixels where the preview images will be drawn to.
Thumbnail Filename suffix: Specify the suffix that will be appended to each filename of the preview image files. For example, if the original file is called "MyPhoto.jpg" and the suffix is "_Preview" the preview filename will become "MyPhoto_Preview.jpg".
Thumbnail Background Color: Specify the color that will be used as background color the the thumbnails.


Tools: Email Files

Brennig's offers the possibility to email files including processing options in order to save bandwidth using the default email client.

The Email Files tool can be found in the applications Tools menu.

Hint: When working in Browser Mode: Select items in the Content View or the Playlist Window before you open the Print Contact Sheets tool to have it work on the selected items!

General Options:
Select Files: Add/Remove files to/from the list of files that should be sent.

Processing options:
Convert Image Files to JPG Format: All selected image files will be converted into the JPG format (if the image file is not already in JPG format) as the JPG Format can greatly reduce the file size with a small loss of image quality for photographs.
Shrink Image Files (maintaining aspect ratio) to: Image files will be shrinked to the specified width. The height is computed according to the original aspect ratio of the image. This is useful, as the smaller the width and height of an image is, the smaller the file size.
Generate a Poster Frame for Movie Files: If enabled, when sending video/movie files (*.avi, *.mpg etc) one frame (image) will be extracted and sent instead of sending the whole video file.


Brennig's Help - www.brennigs.com


Welcome

This Help will introduce you to the program Brennig's and guide you in case of trouble.

Please use menu to the left to navigate through the system.

If you are new to Brennig's please head over to The Basics.

The most recent versions of this help and updates to Brennig's may be available at www.brennigs.com

If you have any special question(s), or if you are unsure in a certain case, feel free to ask the author of the software by sending email to support@brennigs.com.

Brennig's Help
Copyright (C) 2003-2004 Nikolaus Brennig. All Rights Reserved.

Warning: This help is protected by copyright law and international treaties. Reproduction or distribution of this help, or any portion of it, is only possible with a personal permission by the author of this help. Unauthorized reproduction or distribution of this help, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under the law.


Home

The Basics:
Introduction
Viewing
Browsing
Presenting

Technical:
 Installation
Registration
Formats
Requirements
Shortcuts
Command Line
Configuration
Menu

Tools:
 BatchProcess
BatchRename
BatchPrint
Capture Screen
Create new Image
JPG Transformation
JPG Cleaner
Create GIF/MNG/TIF
Create Presentation
Print Contact Sheet
Create Photo Album
Email Files